Subject: bug#57962: 29.0.50; Odd font choices

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Oct 2022 15:37:04 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 14 Oct 2022 14:18:15 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > It depends on whether we want the fixed-pitch face to look differently
> > from the default face, even when the default face uses a monospaced
> > font.  I always thought that fixed-pitch face was supposed to look
> > differently.
> 
> We haven't really used the fixed-pitch face for much before

We use it in info.el for the symbols.

> > Did you try using font-spec with (:spacing 'mono) ?
> 
> In the fixed-pitch defface?  It's already got mono spacing, so I'm not
> sure what that would achieve?  If this is what you meant, it has no
> effect:
> 
> (defface fixed-pitch
>   '((t :family "Monospace" :spacing mono))
>   "The basic fixed-pitch face."
>   :group 'basic-faces)

"No effect" in the sense that if the default face uses a proportional
font, fixed-pitch defined as above still uses a proportional font?

I actually meant something like this:

  (defface fixed-pitch
    `((t :font ,(font-spec :spacing 'M)))
    "The basic fixed-pitch face."
    :group 'basic-faces)